Drums with percussion

I am still using XP and I thought I might not be able to get the Drums with percussion package working for my beatbuddy. The instructions say that I need the BB Manager software 1.64 or higher. I have 1.53 for XP.
I’m happy to say that I was able to import the package into my pedal and it appears to be fully functional…
I will step up and get a newer computer one of these days but for now I think I’m OK.
Is there anything important that I’m missing by not having the latest BBmanager? I’m not aware of anything that isn’t working with the one I have. But Is there an update to the XP BB manager 1.53 available?